<?php

// Connection Component Binding
Doctrine_Manager::getInstance()->bindComponent('CNI_LIST_SERV', 'doctrine');

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of BaseCNI_LIST_SERV
 *
 * @author acontreras
 */
class BaseCNI_LIST_SERV {

    public function setTableDefinition() {
        $this->setTableName('CNI_LIST_SERV');
        $this->hasColumn('id_list_serv', 'integer', 8, array(
            'type' => 'integer',
            'fixed' => 0,
            'unsigned' => false,
            'primary' => true,
            'length' => 8,
        ));
        $this->hasColumn('id_cia', 'integer', 8, array(
             'type' => 'integer',
             'fixed' => 0,
             'unsigned' => false,
             'primary' => true,
             'length' => 8,
             ));
        $this->hasColumn('url', 'string', 100, array(
             'notnull' => false,
             'type' => 'string',
             'fixed' => 0,
             'unsigned' => false,
             'primary' => false,
             'length' => 100,
             ));
        $this->hasColumn('nombre', 'string', 50, array(
             'notnull' => false,
             'type' => 'string',
             'fixed' => 0,
             'unsigned' => false,
             'primary' => false,
             'length' => 50,
             ));
        $this->hasColumn('nombre_campo', 'string', 50, array(
             'notnull' => false,
             'type' => 'string',
             'fixed' => 0,
             'unsigned' => false,
             'primary' => false,
             'length' => 50,
             ));
    }

    public function setUp() {
        parent::setUp();
    }

}

?>
